For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at the same URL with .md appended (or via Accept: text/markdown).
Skip to main content

eth_supportedEntryPoints

Fetches the EntryPoint addresses supported by the bundler. The first address is the one preferred by the bundler to use. This method uses 10 credits from your daily balance.

Parameters​

None.

Returns​

An array of supported EntryPoint addresses. The first address in the array is the preferred EntryPoint that the bundler recommends using.

Example​

Replace <YOUR-API-KEY> with an API key from your Infura dashboard.

Request​

curl https://polygon-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "eth_supportedEntryPoints",
"params": [],
"id": 1
}'

Response​

{
"jsonrpc": "2.0",
"id": 1,
"result": ["0x5FF137D4b0FDCD49DcA30c7CF57E578a026d2789"]
}